Package com.orbbec.obsensor

## Class Playback

- java.lang.Object
- - com.orbbec.obsensor.LobClass
  - - com.orbbec.obsensor.Playback

All Implemented Interfaces:
  `java.lang.AutoCloseable`

    public class Playback
    extends LobClass

Data Playback

### Field Summary

### Fields inherited from class com.orbbec.obsensor.LobClass

`handle, owner`

### Constructor Summary

Constructors
`Playback​(java.lang.String filePath)` Create playback

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `close()` Release callback resource
`CameraParam` `getCameraParam()` Get the intrinsic and extrinsic parameter information in the recording file
`DeviceInfo` `getDeviceInfo()` Get device information
`void` `setMediaStateCallback​(MediaStateCallback callback)` Set media state callback
`void` `start​(PlaybackCallback callback, MediaType mediaType)` Start playback, playback data is returned from the callback
`void` `stop()` stop playback

### Methods inherited from class com.orbbec.obsensor.LobClass

`getHandle, throwInitializeException`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Playback

    public Playback​(java.lang.String filePath)

Create playback

Parameters:
  `filePath` - playback file path

### Method Detail

#### start

    public void start​(PlaybackCallback callback,
                      MediaType mediaType)

Start playback, playback data is returned from the callback

Parameters:
  `callback` - Callback for playback data
  `mediaType` - Type of playback data

#### stop

    public void stop()

stop playback

#### getDeviceInfo

    public DeviceInfo getDeviceInfo()

Get device information

Returns:
  returns device information

#### getCameraParam

    public CameraParam getCameraParam()

Get the intrinsic and extrinsic parameter information in the recording file

Returns:
  returns internal and external parameter information

#### setMediaStateCallback

    public void setMediaStateCallback​(MediaStateCallback callback)

Set media state callback

Parameters:
  `callback` - media state callback

#### close

    public void close()

Release callback resource